[ALSA-2022:1917] Moderate: xorg-x11-server and xorg-x11-server-Xwayland security update
Type:
security
Severity:
moderate
Release date:
2022-05-10
Description:
X.Org is an open-source implementation of the X Window System. It provides the basic low-level functionality that full-fledged graphical user interfaces are designed upon. Xwayland is an X server for running X clients under Wayland. The following packages have been upgraded to a later upstream version: xorg-x11-server-Xwayland (21.1.3). (BZ#2015842) Security Fix(es): * xorg-x11-server: SProcRenderCompositeGlyphs out-of-bounds access (CVE-2021-4008) * xorg-x11-server: SProcXFixesCreatePointerBarrier out-of-bounds access (CVE-2021-4009) * xorg-x11-server: SProcScreenSaverSuspend out-of-bounds access (CVE-2021-4010) * xorg-x11-server: SwapCreateRegister out-of-bounds access (CVE-2021-4011) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Additional Changes: For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.
Updated packages:
  • xorg-x11-server-Xorg-1.20.11-5.el8.ppc64le.rpm
  • xorg-x11-server-Xdmx-1.20.11-5.el8_6.2.ppc64le.rpm
  • xorg-x11-server-Xvfb-1.20.11-5.el8.ppc64le.rpm
  • xorg-x11-server-Xorg-1.20.11-5.el8_6.2.ppc64le.rpm
  • xorg-x11-server-devel-1.20.11-5.el8_6.2.ppc64le.rpm
  • xorg-x11-server-Xwayland-21.1.3-2.el8_6.3.ppc64le.rpm
  • xorg-x11-server-Xnest-1.20.11-5.el8.ppc64le.rpm
  • xorg-x11-server-Xephyr-1.20.11-5.el8.ppc64le.rpm
  • xorg-x11-server-Xvfb-1.20.11-5.el8_6.2.ppc64le.rpm
  • xorg-x11-server-source-1.20.11-5.el8.noarch.rpm
  • xorg-x11-server-common-1.20.11-5.el8.ppc64le.rpm
  • xorg-x11-server-source-1.20.11-5.el8_6.2.noarch.rpm
  • xorg-x11-server-devel-1.20.11-5.el8.ppc64le.rpm
  • xorg-x11-server-Xdmx-1.20.11-5.el8.ppc64le.rpm
  • xorg-x11-server-Xnest-1.20.11-5.el8_6.2.ppc64le.rpm
  • xorg-x11-server-common-1.20.11-5.el8_6.2.ppc64le.rpm
  • xorg-x11-server-Xephyr-1.20.11-5.el8_6.2.ppc64le.rpm
  • xorg-x11-server-Xwayland-21.1.3-2.el8.ppc64le.rpm
  • xorg-x11-server-Xdmx-1.20.11-5.el8_6.2.x86_64.rpm
  • xorg-x11-server-devel-1.20.11-5.el8_6.2.x86_64.rpm
  • xorg-x11-server-Xwayland-21.1.3-2.el8.x86_64.rpm
  • xorg-x11-server-Xnest-1.20.11-5.el8.x86_64.rpm
  • xorg-x11-server-Xvfb-1.20.11-5.el8_6.2.x86_64.rpm
  • xorg-x11-server-Xdmx-1.20.11-5.el8.x86_64.rpm
  • xorg-x11-server-common-1.20.11-5.el8.x86_64.rpm
  • xorg-x11-server-Xephyr-1.20.11-5.el8.x86_64.rpm
  • xorg-x11-server-common-1.20.11-5.el8_6.2.x86_64.rpm
  • xorg-x11-server-Xnest-1.20.11-5.el8_6.2.x86_64.rpm
  • xorg-x11-server-Xephyr-1.20.11-5.el8_6.2.x86_64.rpm
  • xorg-x11-server-Xorg-1.20.11-5.el8_6.2.x86_64.rpm
  • xorg-x11-server-Xwayland-21.1.3-2.el8_6.3.x86_64.rpm
  • xorg-x11-server-Xorg-1.20.11-5.el8.x86_64.rpm
  • xorg-x11-server-Xvfb-1.20.11-5.el8.x86_64.rpm
  • xorg-x11-server-devel-1.20.11-5.el8_6.2.i686.rpm
  • xorg-x11-server-devel-1.20.11-5.el8.x86_64.rpm
  • xorg-x11-server-Xnest-1.20.11-5.el8.aarch64.rpm
  • xorg-x11-server-common-1.20.11-5.el8.aarch64.rpm
  • xorg-x11-server-devel-1.20.11-5.el8.aarch64.rpm
  • xorg-x11-server-Xvfb-1.20.11-5.el8_6.2.aarch64.rpm
  • xorg-x11-server-Xdmx-1.20.11-5.el8.aarch64.rpm
  • xorg-x11-server-Xephyr-1.20.11-5.el8_6.2.aarch64.rpm
  • xorg-x11-server-Xnest-1.20.11-5.el8_6.2.aarch64.rpm
  • xorg-x11-server-Xwayland-21.1.3-2.el8_6.3.aarch64.rpm
  • xorg-x11-server-common-1.20.11-5.el8_6.2.aarch64.rpm
  • xorg-x11-server-Xwayland-21.1.3-2.el8.aarch64.rpm
  • xorg-x11-server-devel-1.20.11-5.el8_6.2.aarch64.rpm
  • xorg-x11-server-Xorg-1.20.11-5.el8.aarch64.rpm
  • xorg-x11-server-Xephyr-1.20.11-5.el8.aarch64.rpm
  • xorg-x11-server-Xdmx-1.20.11-5.el8_6.2.aarch64.rpm
  • xorg-x11-server-Xorg-1.20.11-5.el8_6.2.aarch64.rpm
  • xorg-x11-server-Xvfb-1.20.11-5.el8.aarch64.rpm
  • xorg-x11-server-devel-1.20.11-5.el8.i686.rpm
Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.